import { HTMLManager } from "@jupyter-widgets/html-manager";
import { IClassicComm } from "@jupyter-widgets/base";
import * as utils from "@jupyter-widgets/base";
import { DefaultKernel } from "./kernel";
export declare type WidgetModel = utils.DOMWidgetModel;
export declare type Buffer = {
    path: (string | number)[];
    data: string;
    encoding: "hex" | "base64";
};
export declare type ModelState = {
    model_name: string;
    model_module: string;
    model_module_version: string;
    state: object;
    buffers: Buffer[];
};
export declare type State = {
    version_major?: number;
    state: {
        [key: string]: ModelState;
    };
};
export declare class WidgetManager extends HTMLManager {
    private _last_state;
    kernel: DefaultKernel;
    constructor(options: any);
    render(bundle: {
        spec: {
            model_id: string;
        };
        state: State;
    }, el: HTMLElement): Promise<void>;
    _create_comm(target_name: string, model_id: string, data?: any, metadata?: any, buffers?: ArrayBuffer[] | ArrayBufferView[]): Promise<IClassicComm>;
    _get_comm_info(): Promise<any>;
    display_view(_msg: any, view: any, options: {
        el: HTMLElement;
    }): Promise<any>;
    loadClass(className: string, moduleName: string, moduleVersion: string): any;
    set_state(state: State): Promise<WidgetModel[]>;
}
